package com.example.nto.dto.mapper;

import com.example.nto.dto.EntryDto;
import com.example.nto.entity.Entry;
import lombok.experimental.UtilityClass;

@UtilityClass
public class EntryMapper {
    public static EntryDto toEntryDto(Entry entry) {
        return EntryDto.builder()
                .codeId(entry.getId())
                .entryTime(entry.getEntryTime())
                .isCard(entry.isCard())
                .build();
    }
}
