package com.example.nto.dto.mapper;

import com.example.nto.dto.EmployeeDataDto;
import com.example.nto.entity.EmployeeData;
import lombok.experimental.UtilityClass;

@UtilityClass
public class EmployeeDataMapper {
    public static EmployeeDataDto toEmployeeDataDto(EmployeeData employeeData) {
        return EmployeeDataDto.builder()
                .name(employeeData.getName())
                .photo(employeeData.getPhoto())
                .employeePosition(employeeData.getEmployeePosition())
                .lastVisit(employeeData.getLastVisit())
                .build();
    }
}
